<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/css" href="../css/data.css"?>
<form xmlns="http://www.ge.fr/schema/1.2/form-manager" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" id="m4" label="Déclaration de radiation d'une personne morale (hors activité principale agricole)" xsi:schemaLocation="http://www.ge.fr/schema/1.2/form-manager http://svn.projet-ge.fr:8080/archiva/repository/xsd/form-manager/form-manager/1.2/form-manager-1.2.xsd">
    <default>
        <data type="String" mandatory="true"/>
    </default>
	
	<group id="cadre1Identite" label="Rappel d'identification">
		<warning>Déclaration de radiation d'une personne morale (hors activité principale agricole)</warning>
		<group id="cadre1RappelIdentification" label="Rappel d'identification">
			<data id="siren" label="Numéro unique d'identification :" type="SIREN" width="50%">
				<help>Il s'agit de votre numéro SIREN.</help>
            </data>
			<data id="entrepriseDenomination" label="Dénomination sociale de l'entreprise :" type="String(max:100)" mandatory="true" />
			<data id="entrepriseFormeJuridique" label="Forme juridique :" type="ComboBox(ref:'formesJuridiques')" mandatory="true"/>
			<data id="immatriculationRM" label="Etes-vous immatriculé au Répertoire des Métiers (RM) ?" type="Boolean">
				<help>Si vous êtes artisan, vous dépendez de la CMA (chambre des métiers et de l'artisanat) alors vous êtes inscrit au RM).</help>
			</data>
			<data id="immatRCSGreffe" label="Immatriculation au greffe de :" type="ComboBoxSelectExternal" mandatory="true">
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/authority?filters=details.ediCode~G&amp;maxResults=999&amp;orders=label:asc</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
			</data>	
			<data id="immatRMCMA" label="Immatriculation au RM dans le département de :" type="ComboBoxSelectExternal" mandatory="true" >
				<if>$cadre1RappelIdentification.immatriculationRM</if>
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/departments?maxResults=999&amp;orders=label:asc</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
			</data>
		</group>
	</group>
	
	<group id="cadre2AdresseEtablissementGroup" label="Adresse du siège ou du premier établissement en France">
 		<group id="cadreAdresseEtablissement" label="Adresse du siège ou du premier établissement en France :">
			<group id="adresseEtablissementPrincipal" label="Adresse du siège ou du premier établissement en France :">				
				<data id="numeroVoie" label="Numéro de voie :" type="String(max:9,pattern:&quot;^[0-9à\\-\\']{0,9}$&quot;)" mandatory="false" />
				<data id="indiceVoie" label="Indice de répétition :" type="ComboBox(ref:'indice')" mandatory="false" />
				<data id="typeVoie" label="Type de voie :" type="ComboBox(ref:'type')" mandatory="false" />
				<data id="nomVoie" label="Nom de la voie :" type="String(max:32,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,32}$&quot;)" />
				<data id="complementVoie" label="Complément d'adresse :" type="String(max:38,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,38}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : lieu-dit, bâtiment, escalier, étage, appartement, etc. Attention, certains caractères spéciaux ne sont pas acceptés tel que le "°".</help>
				</data>
				<data id="distributionSpecialeVoie" label="Distribution spéciale :" type="String(max:8,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,8}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : BP, CS, DS, etc.</help>
				</data>
				<data id="codePostal" label="Code postal :" type="String(max:5,pattern:'^[0-9|A|B]{5}$')" trigger="navigation.refresh('_page.cadreAdresseEtablissement.adresseEtablissementPrincipal.commune')" width="30%">
					<help>Il convient d'indiquer ici le code postal de la localité.</help>
				</data>
				<data id="commune" label="Commune :" type="ComboBoxSelectExternal" mandatory="true" width="70%">
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>
			</group>
			<data id="autreEtablissementFerme" label="Avez-vous un établissement autre que le siège simultanément fermé en France (l'établissement principal s'il n'a pas été fermé lors de la dissolution, un ou plusieurs établissement(s) secondaire(s)) ?" type="Boolean"/>
			
			<group id="autreEtablissement[]" min-occurs="1" label="Adresse de l'établissement fermé en France">
				<if>_page.cadreAdresseEtablissement.autreEtablissementFerme</if>
				<warning>Cliquez sur le bouton « + » en haut à droite du cadre pour ajouter un autre établissement.</warning>
				<data id="ressortGreffe" label="Cet établissement se situe t-il dans le ressort du même greffe que le siège ?" type="Boolean"/>
				<data id="numeroVoie" label="Numéro de voie :" type="String(max:9,pattern:&quot;^[0-9à\\-\\']{0,9}$&quot;)" mandatory="false" />
				<data id="indiceVoie" label="Indice de répétition :" type="ComboBox(ref:'indice')" mandatory="false" />
				<data id="typeVoie" label="Type de voie :" type="ComboBox(ref:'type')" mandatory="false"/>
				<data id="nomVoie" label="Nom de la voie :" type="String(max:32,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,32}$&quot;)" />
				<data id="complementVoie" label="Complément d'adresse :" type="String(max:38,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,38}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : lieu-dit, bâtiment, escalier, étage, appartement, etc. Attention, certains caractères spéciaux ne sont pas acceptés tel que le "°".</help>
				</data>
				<data id="distributionSpecialeVoie" label="Distribution spéciale :" type="String(max:8,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,8}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : BP, CS, DS, etc.</help>
				</data>
				<data id="codePostal" label="Code postal :" type="String(max:5,pattern:'^[0-9|A|B]{5}$')" trigger="navigation.refresh(this, '_group.commune')">
					<help>Il convient d'indiquer ici le code postal de la localité.</help>
				</data>
				<data id="commune" label="Commune :" type="ComboBoxSelectExternal" mandatory="true">
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>	
				<data id="destination" label="Indiquez la destination de votre ancien établissement :" type="Radios(inline:false)">
					<conftype>
						<referential>
							<text id="destinationSuppression">Suppression</text>
							<text id="destinationVente">Vente</text>
							<text id="destinationAutre">Autre</text>
						</referential>
					</conftype>
				</data>
				<data id="autreLibelle" label="Préciser :" type="String(max:65,pattern:&quot;^[a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,65}$&quot;)">
					<if>Value('id').of(_group.destination).eq('destinationAutre')</if>
				</data>
				<data id="dateCessationEmploi" label="Date (si cessation d'emploi de tout salarié)" type="Date" mandatory="false" />
			</group>			
		</group>		
	</group>
	
	<group id="cadre3InformationsGroup" label="Informations relatives à la cessation d'activité">
		<group id="cadre3Informations" label="Informations relatives à la cessation d'activité">
			<data id="dateCessation" label="Date de cessation totale d'activité de l’entreprise" type="Date" mandatory="true" />
			<data id="motifCessation" label="Motif de la cessation d'activité :" type="Radios(inline:false)" mandatory="true">
				<if> not Value('id').of($form.cadre1Identite.cadre1RappelIdentification.entrepriseFormeJuridique).eq('5800')
				and not Value('id').of($form.cadre1Identite.cadre1RappelIdentification.entrepriseFormeJuridique).eq('3120')
				and not Value('id').of($form.cadre1Identite.cadre1RappelIdentification.entrepriseFormeJuridique).eq('3110')</if>
				<conftype>
					<referential>
						<text id="clotureLiquiation">Clôture de la liquidation</text>
						<text id="transfertPatrimoine">Réalisation du transfert de patrimoine (réunion des parts sociales dans une même main)</text>
						<text id="fusion">Fusion</text>
						<text id="scission">Scission</text>
						<text id="autre">Autre</text>
					</referential>
				</conftype>
			</data>
			<data id="dateLiquidation" label="Date de l'opération (date d'effet de la clôture de liquidation, de la fusion, de la scission ou du transfert de patrimoine)" type="Date">
			<if> not Value('id').of($form.cadre1Identite.cadre1RappelIdentification.entrepriseFormeJuridique).eq('5800')
				and not Value('id').of($form.cadre1Identite.cadre1RappelIdentification.entrepriseFormeJuridique).eq('3120')
				and not Value('id').of($form.cadre1Identite.cadre1RappelIdentification.entrepriseFormeJuridique).eq('3110')</if>
			</data>
			<data id="fusionSimplifiee" label="S'agit t-il de l'absorption d’une filiale détenue en totalité par la société absorbante ?" type="Boolean">
				<if>Value('id').of($cadre3Informations.motifCessation).eq('fusion')</if>
			</data>	
			<data id="presenceSalaries" label="Y-a-il des salariés au moment de la radiation ?" type="Boolean">
			<if> not Value('id').of($form.cadre1Identite.cadre1RappelIdentification.entrepriseFormeJuridique).eq('5800')
				and not Value('id').of($form.cadre1Identite.cadre1RappelIdentification.entrepriseFormeJuridique).eq('3120')
				and not Value('id').of($form.cadre1Identite.cadre1RappelIdentification.entrepriseFormeJuridique).eq('3110')</if>
			</data>
			<data id="dateCessationEmploiSalarie" label="En cas de cessation d'emploi de tout salarié, indiquez la date :" type="Date" mandatory="false">
				<if>$cadre3Informations.presenceSalaries</if>
			</data>	
			<data id="activiteAmbulant" label="Etes-vous ambulant ?" type="Boolean" />
			<group id="activiteAmbulantInfo" label="Information importante">
				<if>$cadre3Informations.activiteAmbulant</if>
				<warning>Si vous êtes ambulant, il conviendra d'adresser par courrier, à votre CFE, votre carte d'ambulant ou votre livret de circulation (pensez à indiquer dans votre courrier votre numéro de formalité).</warning>
			</group>
		</group>
	</group>
	
	<group id="cadre7DeclarationSocialeGroup" label="Déclaration sociale">
		<if> not Value('id').of($m4.cadre1Identite.cadre1RappelIdentification.entrepriseFormeJuridique).eq('5800')
				and not Value('id').of($m4.cadre1Identite.cadre1RappelIdentification.entrepriseFormeJuridique).eq('3120')
				and not Value('id').of($m4.cadre1Identite.cadre1RappelIdentification.entrepriseFormeJuridique).eq('3110')</if>
			<group id="cadre7DeclarationSocialeComp" label="Déclaration sociale">
			<data id="personneAffilieeOuiNon" label="Avez-vous des personnes affiliées au régime TNS et devant être radiées ?" type="Boolean" mandatory="true" />					
			<group id="personneAffiliee[]" min-occurs="1" label="Informations sur le travailleur non salarié">
				<if>_page.cadre7DeclarationSocialeComp.personneAffilieeOuiNon</if>
				<warning>Cliquez sur le bouton « + » en haut à droite du cadre pour ajouter une autre personne affiliée au régime TNS.</warning>
				<data id="personneLieeQualite" label="Qualité :" type="ComboBox(ref:'qualite')" mandatory="true"/>
				<data id="nomNaissance" label="Nom de naissance :" type="String(max:100,pattern:&quot;^[a-zA-ZàáâãäåæçèéêêëìíîïðñòóôõöøœùúûüýÿÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÑÒÓÔÕÖØŒÙÚÛÜÝ\\s\\-\\']{1,100}$&quot;)">
					<help>Il s'agit du nom qui a été donné à la naissance tel qu'il apparaît sur le justificatif d'identité.</help>
				</data>
				<data id="nomUsage" label="Nom d'usage :" mandatory="false" type="String(max:100,pattern:&quot;^[a-zA-ZàáâãäåæçèéêêëìíîïðñòóôõöøœùúûüýÿÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÑÒÓÔÕÖØŒÙÚÛÜÝ\\s\\-\\']{0,100}$&quot;)">
					<help>Il s'agit généralement du nom marital et il peut s'agir également du nom d'un des parents. Ce dernier doit figurer sur le justificatif d'identité.</help>
				</data>
				<data id="prenom[]" label="Prénom(s) :" max-occurs="4" type="String(max:20,pattern:&quot;^[a-zA-ZàáâãäåæçèéêêëìíîïðñòóôõöøœùúûüýÿÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÑÒÓÔÕÖØŒÙÚÛÜÝ\\s\\-\\'|.]{1,20}$&quot;)">
					<help>Il s'agit de l'ensemble des prénoms figurant sur le justificatif d'identité. L'ordre indiqué sur le justificatif d'identité doit être respecté. En l'absence de prénom, il convient d'indiquer un ".".</help>
				</data>
				<data id="dateNaissance" label="Date de naissance :" type="DateBirthDay(minAge:16)" mandatory="true"/>
				<data id="lieuNaissancePays" label="Pays de naissance :" type="ComboBoxSelectExternal" mandatory="true">
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{label}}</label>
							</external>
						</referential>
					</conftype>
				</data>
				<data id="lieuNaissanceDepartement" label="Département de naissance :" type="ComboBoxSelectExternal" mandatory="true" trigger="navigation.refresh(this, '_group.lieuNaissanceCommune')">
					<if>Value('id').of(_group.lieuNaissancePays).eq('FRXXXXX')</if>
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/departments?maxResults=999&amp;orders=label:asc</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>
				<data id="lieuNaissanceCommune" label="Commune de naissance :" type="ComboBoxSelectExternal" mandatory="true">
					<if>Value('id').of(_group.lieuNaissancePays).eq('FRXXXXX')</if>
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/communes?maxResults=999&amp;orders=label:asc&amp;filters=details.ch_departement:{{_group.lieuNaissanceDepartement.id}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>
				<data id="lieuNaissanceVille" label="Ville de naissance :" type="String(max:32,pattern:&quot;^[a-zA-ZàáâãäåæçèéêêëìíîïðñòóôõöøœùúûüýÿÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÑÒÓÔÕÖØŒÙÚÛÜÝ\\s\\-\\']{1,32}$&quot;)" mandatory="true">
					<if>not Value('id').of(_group.lieuNaissancePays).eq('FRXXXXX')</if>
					<help>Il s'agit d'indiquer en toutes lettres la localité de naissance.</help>
				</data>
				<data id="numeroSS" label="Numéro de sécurité sociale :" type="NIR" mandatory="true">
					<help>Il convient de saisir ici les 15 chiffres du numéro de sécurité sociale ou numéro d'inscription au répertoire (NIR).</help>
				</data>
			</group>			
		</group>
	</group>
	
	<group id="cadre8RensCompGroup" label="Renseignements complémentaires">
		<group id="cadre8RensComp" label="Renseignements complémentaires">	
			<data id="observations" label="Observations :" type="String(max:150)" mandatory="false"/>
			<data id="adresseCorrespond" label="Adresse de correspondance :" type="Radios(inline:false)">
				<conftype>
					<referential>
						<text id="prof">Adresse du siège ou du premier établissement en France</text>
						<text id="autre">Autre adresse</text>
					</referential>
				</conftype>
			</data>
			<group id="adresseCorrespondance" label="Adresse de correspondance">
				<if>Value('id').of($cadre8RensComp.adresseCorrespond).eq('autre')</if>				
				<data id="nomPrenomDenomination" label="Nom et prénom ou dénomination sociale du destinataire :" type="String(max:100)" mandatory="true" />
				<data id="numeroVoie" label="Numéro et libellé de voie :" mandatory="false" type="String" />
				<data id="indiceVoie" label="Indice de répétition :" type="ComboBox(ref:'indice')" mandatory="false" />
				<data id="typeVoie" label="Type de voie :" type="ComboBox(ref:'type')" mandatory="false" />
				<data id="nomVoie" label="Nom de la voie :" type="String(max:32,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,32}$&quot;)" />
				<data id="complementVoie" label="Complément d'adresse :" type="String(max:38,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,38}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : lieu-dit, bâtiment, escalier, étage, appartement, etc. Attention, certains caractères spéciaux ne sont pas acceptés tel que le "°".</help>
				</data>
				<data id="distributionSpecialeVoie" label="Distribution spéciale :" type="String(max:8,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,8}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : BP, CS, DS, etc.</help>
				</data>
				<data id="codePostal" label="Code postal :" type="String(max:5,pattern:'^[0-9|A|B]{5}$')" mandatory="true" trigger="navigation.refresh('_page.cadre8RensComp.adresseCorrespondance.commune')">
					<help>Il convient d'indiquer ici le code postal de la localité.</help>
				</data>
				<data id="commune" label="Commune :" type="ComboBoxSelectExternal" mandatory="true">
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>
			</group>
			<group id="infosSup" label="Informations de contact">
				<data id="telephone1" label="Téléphone fixe :" type="Phone" mandatory="false">
					<help>Il convient de sélectionner le pays d'attribution du numéro et de renseigner le numéro de téléphone fixe.</help>
				</data>
				<data id="telephone2" label="Téléphone mobile :" type="Phone">
					<help>Il convient de sélectionner le pays d'attribution du numéro et de renseigner le numéro de téléphone mobile.</help>
				</data>
				<data id="courriel" label="Courriel :" type="Email" mandatory="false">
					<help>Il convient de renseigner une adresse électronique valide.</help>
				</data>
				<data id="telecopie" label="Télécopie (si courriel inexistant) :" type="Phone" mandatory="false">
					<help>Il convient de sélectionner le pays d'attribution du numéro et de renseigner le numéro de fax.</help>
					<if>not $cadre8RensComp.infosSup.courriel</if>
				</data>
			</group>
		</group>
	</group>
	
	<group id="cadre9SignatureGroup" label="Signature">
		<group id="cadre9Signature" label="Signature">
			<data id="soussigne" label="Signataire de la déclaration :" type="Radios(inline:true)" mandatory="true">
				<conftype>
					<referential>
						<text id="representantLegal">Le représentant légal</text>
						<text id="mandataire">Le mandataire ayant procuration</text>
						<text id="autrePersonne">Autre personne (justifiant d'un intérêt)</text>
					</referential>
				</conftype>
			</data>			
			<group id="adresseMandataire" label="Coordonnées">
				<data id="nomPrenomDenomination" label="Nom et prénom ou dénomination sociale :" type="String(max:120,pattern:&quot;^[0-9a-zA-ZàáâãäåæçèéêêëìíîïðñòóôõöøœùúûüýÿÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÑÒÓÔÕÖØŒÙÚÛÜÝ@#\\s\\-\\']{1,120}$&quot;)"/>	
                <data id="numeroVoie" label="Numéro de voie :" type="String(max:9,pattern:&quot;^[0-9à\\-\\']{0,9}$&quot;)" mandatory="false"/>
                <data id="indiceVoie" label="Indice de répétition :" type="ComboBox(ref:'indice')" mandatory="false"/>
                <data id="typeVoie" label="Type de voie :" type="ComboBox(ref:'type')" mandatory="false"/>
                <data id="nomVoie" label="Nom de la voie :" type="String(max:32,pattern:&quot;^[0-9a-zA-ZàáâãäåæçèéêêëìíîïðñòóôõöøœùúûüýÿÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÑÒÓÔÕÖØŒÙÚÛÜÝ@#\\s\\-\\']{1,32}$&quot;)"/>
                <data id="complementVoie" label="Complément d'adresse :" type="String(max:38,pattern:&quot;^[0-9a-zA-ZàáâãäåæçèéêêëìíîïðñòóôõöøœùúûüýÿÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÑÒÓÔÕÖØŒÙÚÛÜÝ@#\\s\\-\\']{0,38}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : lieu-dit, bâtiment, escalier, étage, appartement, etc. Attention, certains caractères spéciaux ne sont pas acceptés tel que le "°".</help>
				</data>
                <data id="distributionSpecialeVoie" label="Distribution spéciale :" type="String(max:8,pattern:&quot;^[0-9a-zA-ZàáâãäåæçèéêêëìíîïðñòóôõöøœùúûüýÿÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÑÒÓÔÕÖØŒÙÚÛÜÝ@#\\s\\-\\']{0,8}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : BP, CS, DS, etc.</help>
				</data>
                <data id="codePostal" label="Code postal :" type="String(max:5,pattern:'^[0-9|A|B]{5}$')" mandatory="true" trigger="navigation.refresh('_page.cadre9Signature.adresseMandataire.commune')">
                    <help>Il convient d'indiquer ici le code postal de la localité.</help>
                </data>
                <data id="commune" label="Commune :" type="ComboBoxSelectExternal" mandatory="true">
                    <conftype>
                        <referential>
                            <external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostal}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
                            </external>
                        </referential>
                    </conftype>
                </data>
            </group>
			<data id="lieu" label="Fait à :" type="String(max:32,pattern:&quot;^[a-zA-ZàáâãäåæçèéêêëìíîïðñòóôõöøœùúûüýÿÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÑÒÓÔÕÖØŒÙÚÛÜÝ\\s\\-\\']{1,32}$&quot;)" />
            <data id="date" label="Le :" type="DatePast" mandatory="true" />
		</group>
    </group>
</form>
